/*
Theme Name: Twenty Fourteen Extended
Description: Make use of full width page templates in the Twenty Fourteen theme
Author: Nexcius
Author URI: http://www.nexcius.net
Template: twentyfourteen
*/


/* transitions */
a {-webkit-transition:all .3s linear; -moz-transition:all .3s linear; -ms-transition:all .3s linear; transition:all .3s linear;}


/* gallery */
.gallery-icon {position:relative;}
.gallery-icon a {position:relative; display:block; border:1px solid #447700;}

.gallery-icon:hover img {z-index:1; position:relative;}

.gallery-icon:hover a:before {z-index:2; content:''; position:absolute; top:0; right:0; bottom:0; left:0; background:rgba(68,119,0,0.8);}

.gallery-icon:hover a:after {z-index:2; content:'\f055'; position:absolute; top:50%; right:0; bottom:0; left:0; margin-top:-18px; font-family:FontAWesome; font-size:36px; color:#fff; text-align:center; line-height:36px;}


/* site */
.site {max-width:100%;}
.site-header {z-index:999; width:100%; max-width:100%; background-color:#470;}
.content-sidebar .widget .widget-title {border-top:5px solid #8a2;}

#secondary {background-color:#470;}

.full-width .site-content .page .entry-header,
.full-width .site-content .page .entry-content, 
.full-width .site-content .page .entry-summary, 
.full-width .site-content .page .entry-meta {max-width:100%;}

.search-toggle {margin-right:68px;}

.menu-toggle {width:78px;}
.menu-toggle:before {content:'MENU';}


/* colour overrides */
a {color:#470;}

::selection {background:#470;}
::-moz-selection {background:#470;}

button,
.button,
input[type="button"],
input[type="reset"],
input[type="submit"] {background-color:#470;}

.search-toggle {background-color:#470;}

.hentry .mejs-controls .mejs-time-rail .mejs-time-current {background:#470;}
.hentry .mejs-overlay:hover .mejs-overlay-button {background-color:#470;}

.paging-navigation .page-numbers.current {border-top:5px solid #470;}

.widget button,
.widget .button,
.widget input[type="button"],
.widget input[type="reset"],
.widget input[type="submit"] {background-color:#470;}

.widget_calendar tbody a {background-color:#470;}

.content-sidebar .widget a {color:#470;}

.content-sidebar .widget input[type="button"],
.content-sidebar .widget input[type="reset"],
.content-sidebar .widget input[type="submit"] {background-color:#470;}

.slider-control-paging .slider-active:before,
.slider-control-paging .slider-active:hover:before {background-color:#8a2;}
.slider-direction-nav a:hover {background-color:#8a2;}

/* ---------- */
a:active,
a:hover {color:#8a2;}

button:hover,
button:focus,
.button:hover,
.button:focus,
input[type="button"]:hover,
input[type="button"]:focus,
input[type="reset"]:hover,
input[type="reset"]:focus,
input[type="submit"]:hover,
input[type="submit"]:focus {background-color:#8a2;}

.search-toggle:hover,
.search-toggle.active {background-color:#8a2;}

.search-box {background-color:#8a2;}
.site-navigation a:hover {color:#8a2;}
.entry-title a:hover {color:#8a2;}
.entry-meta a:hover {color:#8a2;}
.cat-links a:hover {color:#8a2;}
.entry-meta .tag-links a:hover {background-color:#8a2;}
.entry-meta .tag-links a:hover:before {border-right-color:#8a2;}
.entry-content .edit-link a:hover {color:#8a2;}
.hentry .mejs-controls .mejs-button button:hover {color:#8a2;}
.page-links a:hover {background:#8a2; border:1px solid #8a2;}

.post-navigation a:hover,
.image-navigation a:hover {color:#8a2;}

.paging-navigation a:hover {border-top:5px solid #8a2;}

.comment-author a:hover,
.comment-list .pingback a:hover,
.comment-list .trackback a:hover,
.comment-metadata a:hover {color:#8a2;}

.comment-reply-title small a:hover {color:#8a2;}
.widget a:hover {color:#8a2;}

.widget input[type="button"]:hover,
.widget input[type="button"]:focus,
.widget input[type="reset"]:hover,
.widget input[type="reset"]:focus,
.widget input[type="submit"]:hover,
.widget input[type="submit"]:focus {background-color:#8a2;}

.widget-title a:hover {color:#8a2;}
.widget_calendar tbody a:hover {background-color:#8a2;}
.widget_twentyfourteen_ephemera .entry-meta a:hover {color:#8a2;}
.content-sidebar .widget a:hover {color:#8a2;}

.content-sidebar .widget input[type="button"]:hover,
.content-sidebar .widget input[type="button"]:focus,
.content-sidebar .widget input[type="reset"]:hover,
.content-sidebar .widget input[type="reset"]:focus,
.content-sidebar .widget input[type="submit"]:hover,
.content-sidebar .widget input[type="submit"]:focus {background-color:#8a2;}

.content-sidebar .widget .widget-title a:hover {color:#8a2;}
.content-sidebar .widget_twentyfourteen_ephemera .entry-meta a:hover {color:#8a2;}
.site-info a:hover {color:#8a2;}
.featured-content a:hover {color:#8a2;}
.slider-control-paging a:hover:before {background-color:#8a2;}

/* ---------- */

button:active,
.button:active,
input[type="button"]:active,
input[type="reset"]:active,
input[type="submit"]:active {background-color:#8a2;}

.site-navigation .current_page_item > a,
.site-navigation .current_page_ancestor > a,
.site-navigation .current-menu-item > a,
.site-navigation .current-menu-ancestor > a {color:#8a2;}

.widget input[type="button"]:active,
.widget input[type="reset"]:active,
.widget input[type="submit"]:active {background-color:#8a2;}

.content-sidebar .widget input[type="button"]:active,
.content-sidebar .widget input[type="reset"]:active,
.content-sidebar .widget input[type="submit"]:active {background-color:#8a2;}


/* media queries */
@media (max-width: 1060px) {

	.nav-menu br {display:none;}
}


@media screen and (min-width: 594px) {
	
	.full-width .site-content .page .entry-header {max-width:100%; margin-left:0; margin-right:0;}

	.full-width .site-content .page .entry-content, 
	.full-width .site-content .page .entry-summary, 
	.full-width .site-content .page .entry-meta {max-width:100%; padding-left:30px; padding-right:30px;}

	.full-width .site-content .page  .wp-caption.alignnone {max-width:100%; max-width:-moz-calc(100% + 60px); max-width:calc(100% + 60px); margin-left:-30px; margin-right:-30px;}

	.full-width .site-content .page  .wp-caption.alignnone .wp-caption-text {max-width:100%; margin-left:30px; margin-right:30px;}

	.full-width .site-content .page  blockquote.alignright, 
	.full-width .site-content .page  img.size-full.alignright, 
	.full-width .site-content .page  img.size-large.alignright, 
	.full-width .site-content .page  img.size-medium.alignright, 
	.full-width .site-content .page  .wp-caption.alignright {margin-right:-20px;}

	.full-width .site-content .page  blockquote.alignleft, 
	.full-width .site-content .page  img.size-full.alignleft, 
	.full-width .site-content .page  img.size-large.alignleft, 
	.full-width .site-content .page  img.size-medium.alignleft, 
	.full-width .site-content .page  .wp-caption.alignleft {margin-left:-20px;}
}

@media screen and (min-width: 673px) {
	
	.full-width .site-content  .page .entry-header {margin-left:30px; margin-right:30px;}

	.full-width .site-content .page  .entry-content, 
	.full-width .site-content .page  .entry-summary, 
	.full-width .site-content .page  .entry-meta {padding-left:60px; padding-right:60px;}

	.full-width .site-content .page  .wp-caption.alignnone {max-width:-moz-calc(100% + 120px); max-width:calc(100% + 120px); margin-left:-60px; margin-right:-60px;}

	.full-width .site-content .page .wp-caption.alignnone .wp-caption-text {margin-left:60px; margin-right:60px;}

	.full-width .site-content .page blockquote.alignright,
	.full-width .site-content .page  blockquote.alignleft {max-width:50%;}

	.full-width .site-content .page  blockquote.alignright, 
	.full-width .site-content .page  img.size-full.alignright, 
	.full-width .site-content .page  img.size-large.alignright, 
	.full-width .site-content .page  img.size-medium.alignright, 
	.full-width .site-content .page  .wp-caption.alignright {margin-right:-50px;}

	.full-width .site-content .page  blockquote.alignleft, 
	.full-width .site-content .page  img.size-full.alignleft, 
	.full-width .site-content .page  img.size-large.alignleft, 
	.full-width .site-content .page  img.size-medium.alignleft, 
	.full-width .site-content .page  .wp-caption.alignleft {margin-left:-50px;}
}

@media screen and (min-width: 783px) {
	
	.primary-navigation .menu-item-has-children > a:after,
	.primary-navigation .page_item_has_children > a:after {
		content: '';
		display: none;
	}
	
	.header-main {
		padding-right:30px;
	}

	.search-toggle {
		margin-right: 68px;
	}
	
	.primary-navigation {
		font-size: 14px;
	}

	.primary-navigation .menu-toggle {
		display: block;
	}

	.primary-navigation .nav-menu {
		display: none;
	}

	.primary-navigation.toggled-on {
		float: none;
		display: block;
		padding: 72px 0 36px;
	}

	.primary-navigation li {
		border-top: 1px solid rgba(255, 255, 255, 0.2);
		display: block;
		
	}
	
	.primary-navigation .nav-menu > li {
		height: inherit;
		line-height: 1.5;
	}
	
	.primary-navigation .nav-menu > li > a {
		min-height: inherit;
		padding: 7px;
	}

	.primary-navigation ul ul {
		background-color: transparent;
		float: none;
		position: relative;
		top: 0;
		left: 0;
		margin-left: 20px;
	}
	
	.primary-navigation li li {
		border-top: 1px solid rgba(255, 255, 255, 0.2);
		line-height: 1.5;
	}

	.primary-navigation ul ul a {
		padding: 7px 0;
		width: inherit;
	}
	
	/* ------ */
	
	.primary-navigation li:hover > a,
	.primary-navigation li.focus > a,
	.primary-navigation ul ul a:hover,
	.primary-navigation ul ul li.focus > a {
		background-color: transparent;
		color: #8a2;
	}
}

@media screen and (min-width: 1060px) {
	
	.site-title {
		/* Search-toggle width = 48px */
		max-width: -webkit-calc(100% - 48px);
		max-width:         calc(100% - 48px);
	}

	.header-main {
		padding-right: 0;
	}

	.search-toggle {
		margin-right: 0;
	}

	/* Fixed Header */

	.masthead-fixed .site-header {
		position: fixed;
		top: 0;
	}

	.admin-bar.masthead-fixed .site-header {
		top: 32px;
	}

	.masthead-fixed .site-main {
		margin-top: 48px;
	}

	/* Navigation */

	.site-navigation li .current_page_item > a,
	.site-navigation li .current_page_ancestor > a,
	.site-navigation li .current-menu-item > a,
	.site-navigation li .current-menu-ancestor > a {
		color: #fff;
	}

	/* Primary Navigation */

	.primary-navigation {
		float: right;
		font-size: 11px;
		margin: 0 1px 0 -12px;
		padding: 0;
		text-transform: uppercase;
	}

	.primary-navigation .menu-toggle {
		display: none;
		padding: 0;
	}

	.primary-navigation .nav-menu {
		border-bottom: 0;
		display: block;
	}

	.primary-navigation.toggled-on {
		border-bottom: 0;
		margin: 0;
		padding: 0;
	}

	.primary-navigation li {
		border: 0;
		display: inline-block;
		height: 48px;
		line-height: 48px;
		position: relative;
	}

	.primary-navigation a {
		display: inline-block;
		padding: 0 12px;
		white-space: nowrap;
	}

	.primary-navigation ul ul {
		background-color: #24890d;
		float: left;
		margin: 0;
		position: absolute;
		top: 48px;
		left: -999em;
		z-index: 99999;
	}

	.primary-navigation li li {
		border: 0;
		display: block;
		height: auto;
		line-height: 1.0909090909;
	}

	.primary-navigation ul ul ul {
		left: -999em;
		top: 0;
	}

	.primary-navigation ul ul a {
		padding: 18px 12px;
		white-space: normal;
		width: 176px;
	}

	.primary-navigation li:hover > a,
	.primary-navigation li.focus > a {
		background-color: #24890d;
		color: #fff;
	}

	.primary-navigation ul ul a:hover,
	.primary-navigation ul ul li.focus > a {
		background-color: #41a62a;
	}

	.primary-navigation ul li:hover > ul,
	.primary-navigation ul li.focus > ul {
		left: auto;
	}

	.primary-navigation ul ul li:hover > ul,
	.primary-navigation ul ul li.focus > ul {
		left: 100%;
	}

	.primary-navigation .menu-item-has-children > a,
	.primary-navigation .page_item_has_children > a {
		padding-right: 26px;
	}

	.primary-navigation .menu-item-has-children > a:after,
	.primary-navigation .page_item_has_children > a:after {
		-webkit-font-smoothing: antialiased;
		content: "\f502";
		display: inline-block;
		font: normal 8px/1 Genericons;
		position: absolute;
		right: 12px;
		top: 22px;
		vertical-align: text-bottom;
	}

	.primary-navigation li .menu-item-has-children > a,
	.primary-navigation li .page_item_has_children > a {
		padding-right: 20px;
		width: 168px;
	}

	.primary-navigation .menu-item-has-children li.menu-item-has-children > a:after,
	.primary-navigation .menu-item-has-children li.page_item_has_children > a:after,
	.primary-navigation .page_item_has_children li.menu-item-has-children > a:after,
	.primary-navigation .page_item_has_children li.page_item_has_children > a:after {
		content: "\f501";
		right: 8px;
		top: 20px;
	}
	
	/* ------ */
	
	.primary-navigation .nav-menu > li {line-height:1.2; vertical-align:middle;}
	
	.primary-navigation .nav-menu > li > a {padding:7px; min-height:34px; font-size:14px; text-align:center;}
	
	.primary-navigation .nav-menu > li.menu-item-has-children > a,
	.primary-navigation .nav-menu > li.page_item_has_children > a {padding-right:26px;}
	
	.primary-navigation .menu-item-has-children > a:after,
	.primary-navigation .page_item_has_children > a:after {top:14px;}.primary-navigation ul ul a:hover,
	.primary-navigation ul ul li.focus > a {background-color:#8a2; color:#fff;}
	
	.secondary-navigation ul ul a:hover,
	.secondary-navigation ul ul li.focus > a {background-color:#8a2;}
	
	.primary-navigation ul ul {background-color: #470;}
	
	.primary-navigation li:hover > a,
	.primary-navigation li.focus > a {background-color:#8a2;}
	
	.secondary-navigation ul ul {background-color:#470;}
	
	.secondary-navigation li:hover > a,
	.secondary-navigation li.focus > a {background-color:#8a2;}
}